%define name		msv
%define version		1.2
%define prod_version	1.2
%define cvs_version	20030225
%define release		1jpp
%define section		non-free
%define source_top	%{name}-%{cvs_version}

Summary:	Sun Multi-Schema XML Validator
URL:		http://wwws.sun.com/software/xml/developers/multischema/

Source0:	%{name}.%{cvs_version}.zip
NoSource:	0

Name:		%{name}
Version:	%{prod_version}.cvs%{cvs_version}
Release:	%{release}
Epoch:		0
License:	Sun Source/Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5.31, resolver
Requires:	jpackage-utils >= 0:1.5.31
BuildRoot:	%{_tmppath}/%{name}-%{prod_version}.cvs%{cvs_version}-%{release}-buildroot

%description
The Sun Multi-Schema XML Validator (MSV) is a Java technology tool to 
validate XML documents against several kinds of XML schemata. It 
supports RELAX NG, RELAX Namespace, RELAX Core, TREX, XML DTDs, and 
a subset of XML Schema Part 1. This latest (version 1.2) release 
includes several bug fixes and adds better conformance to 
RELAX NG/W3C XML standards and JAXP masquerading.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description demo
Examples for %{name}

%prep
%setup -T -c -n %{name}-%{cvs_version}
(cd ..; unzip -q %{SOURCE0} )
chmod -R go=u-w *

%build
javadoc -classpath \
msv.jar:isorelax.jar:xsdlib.jar:relaxngDatatype.jar:$(find-jar resolver) \
-d apidocs -sourcepath src -subpackages com.sun.xml:com.sun.msv

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
# msv
install -p -m 0644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{prod_version}.cvs%{cvs_version}.jar
ln -s %{name}-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{prod_version}.jar
ln -s %{name}-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
# isorelax
install -p -m 0644 isorelax.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-isorelax-%{prod_version}.cvs%{cvs_version}.jar
ln -s %{name}-isorelax-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-isorelax-%{prod_version}.jar
ln -s %{name}-isorelax-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-isorelax.jar
# xsdlib
install -p -m 0644 xsdlib.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-xsdlib-%{prod_version}.cvs%{cvs_version}.jar
ln -s %{name}-xsdlib-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-xsdlib-%{prod_version}.jar
ln -s %{name}-xsdlib-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-xsdlib.jar
# relaxngDatatype
install -p -m 0644 relaxngDatatype.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-relaxngDatatype-%{prod_version}.cvs%{cvs_version}.jar
ln -s %{name}-relaxngDatatype-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-relaxngDatatype-%{prod_version}.jar
ln -s %{name}-relaxngDatatype-%{prod_version}.cvs%{cvs_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-relaxngDatatype.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# demo
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{prod_version}.cvs%{cvs_version}/examples
cp -pr examples/*   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{prod_version}.cvs%{cvs_version}/examples
ln -s %{name}-%{prod_version}.cvs%{cvs_version} $RPM_BUILD_ROOT%{_datadir}/%{name}-%{prod_version} # ghost symlink
ln -s %{name}-%{prod_version}.cvs%{cvs_version} $RPM_BUILD_ROOT%{_datadir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post demo
rm -f %{_datadir}/%{name}
rm -f %{_datadir}/%{name}-%{prod_version}
ln -s %{name}-%{prod_version}.cvs%{cvs_version} %{_datadir}/%{name}-%{prod_version}
ln -s %{name}-%{prod_version}.cvs%{cvs_version} %{_datadir}/%{name}

%files
%defattr(-,root,root,-)
%doc {*.txt,*.html,*.gif}
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root,-)
%doc %{_datadir}/%{name}-%{prod_version}.cvs%{cvs_version}
%ghost %doc %{_datadir}/%{name}-%{prod_version}
%ghost %doc %{_datadir}/%{name}

%changelog
* Fri Jan 16 2004 Ralph Apel <r.apel@r-apel.de> 0:1.2.cvs20030225-1jpp
- first build
